package com.ruoyi.system.service;

import java.util.List;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.system.domain.TdExamnum;

/**
 * 考试结果Service接口
 * 
 * @author ruoyi
 * @date 2024-04-10
 */
public interface ITdExamnumService extends IService<TdExamnum>
{
    /**
     * 查询考试结果
     * 
     * @param id 考试结果主键
     * @return 考试结果
     */
    public TdExamnum selectTdExamnumById(Long id);

    /**
     * 查询考试结果列表
     * 
     * @param tdExamnum 考试结果
     * @return 考试结果集合
     */
    public List<TdExamnum> selectTdExamnumList(TdExamnum tdExamnum);

    /**
     * 新增考试结果
     * 
     * @param tdExamnum 考试结果
     * @return 结果
     */
    public int insertTdExamnum(TdExamnum tdExamnum);

    /**
     * 修改考试结果
     * 
     * @param tdExamnum 考试结果
     * @return 结果
     */
    public int updateTdExamnum(TdExamnum tdExamnum);

    /**
     * 批量删除考试结果
     * 
     * @param ids 需要删除的考试结果主键集合
     * @return 结果
     */
    public int deleteTdExamnumByIds(String ids);

    /**
     * 删除考试结果信息
     * 
     * @param id 考试结果主键
     * @return 结果
     */
    public int deleteTdExamnumById(Long id);
}
